### Hierarchy

- JenkinsAction
  - JenkinsTimeInQueueAction

### Implements

- IJenkinsAction

## Index

### Constructors

- constructor

### Properties

- _class
- data
- jsonData
- timeInQueueClassName

### Methods

- fromJson
- fromJsonString
- get
- getJsonData
- has
- isClass
- isTimeInQueueActionClass

## Constructors

### constructor

- new JenkinsAction(): JenkinsAction

- - Defined in JenkinsAction.ts:11

  #### Returns JenkinsAction

## Properties

### _class

_class: string

Implementation of IJenkinsAction._class

- Defined in JenkinsAction.ts:8

### data

data: Map<string, any>

Implementation of IJenkinsAction.data

- Defined in JenkinsAction.ts:9

### jsonData

jsonData: JSON

- Defined in JenkinsAction.ts:6

### Protected timeInQueueClassName

timeInQueueClassName: string = "jenkins.metrics.impl.TimeInQueueAction"

- Defined in JenkinsAction.ts:11

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsAction.fromJson

  - Defined in JenkinsAction.ts:56

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsAction.fromJsonString

  - Defined in JenkinsAction.ts:49

  #### Parameters

  - ##### json: string

  #### Returns void

### get

- get(keyName: string): any

- Implementation of IJenkinsAction.get

  - Defined in JenkinsAction.ts:42

  #### Parameters

  - ##### keyName: string

  #### Returns any

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsAction.getJsonData

  - Defined in JenkinsAction.ts:17

  #### Returns string

### has

- has(keyName: string): boolean

- Implementation of IJenkinsAction.has

  - Defined in JenkinsAction.ts:35

  #### Parameters

  - ##### keyName: string

  #### Returns boolean

### isClass

- isClass(className: string): boolean

- Implementation of IJenkinsAction.isClass

  - Defined in JenkinsAction.ts:21

  #### Parameters

  - ##### className: string

  #### Returns boolean

### isTimeInQueueActionClass

- isTimeInQueueActionClass(): boolean

- Implementation of IJenkinsAction.isTimeInQueueActionClass

  - Defined in JenkinsAction.ts:31

  #### Returns boolean

Generated using TypeDoc